package com.eactive.eai.common.inflow;

import io.github.bucket4j.local.LocalBucket;

public class CustomBucket {
	private InflowTargetVO inflowTargetVo;
	private LocalBucket localBucket;

	public CustomBucket(LocalBucket localBucket, InflowTargetVO inflowTargetVo) {
		super();
		this.inflowTargetVo = inflowTargetVo;
		this.localBucket = localBucket;
	}

	public InflowTargetVO getInflowTargetVo() {
		return inflowTargetVo;
	}

	public void setInflowTargetVo(InflowTargetVO inflowTargetVo) {
		this.inflowTargetVo = inflowTargetVo;
	}

	public LocalBucket getLocalBucket() {
		return localBucket;
	}

	public void setLocalBucket(LocalBucket localBucket) {
		this.localBucket = localBucket;
	}

}
